## Get Portfolio History **get** `/v1/accounts/{account_id}/portfolio-history` Retrieves daily portfolio history for the specified account. ### Path Parameters - `account_id: number` ### Query Parameters - `start_date: string` Start date for the portfolio history range, in YYYY-MM-DD format. - `end_date: optional string` Defaults to today in America/New_York when omitted. ### Returns - `data: PortfolioHistoryResponse` - `segments: array of PortfolioHistorySegment` - `date: string` The date for this segment - `eod_equity: string` The equity at the end of the trading day. - `realized_pnl: string` Sum of the profit and loss realized from position closing trading activity. - `sod_equity: string` The equity at the start of the trading day. - `unrealized_pnl: string` Sum of the profit and loss from market changes. - `bought_notional: optional string` Amount bought MTM - `day_pnl: optional string` Sum of the profit and loss from intraday trading activities for the trading day. - `net_pnl: optional string` P&L after netting all realized and unrealized P&L, adjustments, dividends, change in accruals, income and expenses - `position_pnl: optional string` P&L attributable to start-of-day (carried) positions from market movement during this trading day. - `sold_notional: optional string` Amount sold MTM ### Example ```http curl https://api.clearstreet.com/v1/accounts/$ACCOUNT_ID/portfolio-history \ -H "Authorization: Bearer $API_KEY" ``` #### Response ```json { "data": { "segments": [ { "bought_notional": "39800.00", "date": "2026-04-15", "day_pnl": "850.25", "eod_equity": "100850.25", "net_pnl": "850.25", "position_pnl": "-350.25", "realized_pnl": "1200.50", "sod_equity": "100000.00", "sold_notional": "42500.00", "unrealized_pnl": "-350.25" } ] }, "error": null, "metadata": { "request_id": "f076d6f6-10c9-42a0-98c5-18cebc427e80" } } ```